Subject: Re: [Rtg-ooam-dt] [nvo3] AD review of draft-ietf-nvo3-arch-06

From: Greg Mirsky <[email-masked]>
Date: Sat, 30 Jul 2016 22:33:42 -0700

Hi David,
greatly appreciate your consideration of
draft-ooamdt-rtgwg-ooam-requirement-01.
If you have comments, any questions, suggestions please share them and
we'll work to address them in timely manner.

Regards,
Greg

On Fri, Jul 29, 2016 at 4:33 PM, Black, David <[email-masked]> wrote:

> Hi Alia,
>
>
>
> > I will optimistically send this document to IETF Last Call - but the
> authors do need to update this section and respond to my other concerns.
>
>
>
> Thanks for doing this.  Regarding your Major concern:
>
>
>
> >  i) I note that draft-ashwood-nvo3-operational-requirement-03 expired
> about 3 years ago.  Section 12 basically says that
>
> > OAM is important and punts to this draft.  I believe that you will need
> more details.
>
>
>
> Would it be acceptable to provide a little bit more in the way of details
> and then point to draft-ooamdt-rtgwg-ooam-requirement-01 ?
>
> It seems preferable to have overlay OAM requirements discussions in the
> context of that draft rather than this NVO3 architecture draft.
>
>
>
> For your first minor concern:
>
>
>
> >    1) Please add C-VID to the terminology.  It is used without context
> in 3.1.1.
>
>
>
> I think we should rewrite that sentence to just eliminate the C-VID
> acronym, e.g.,
>
>
>
> OLD
>
>    Note that the handling of C-VIDs has additional complications, as
>
>    described in Section 4.2.1 below.
>
> NEW
>
>   Note that there are additional considerations when VLAN tags are used to
>
>   identify both the VN and a Tenant System VLAN within that VN,
>
>   as described in Section 4.2.1 below.
>
>
>
> Everything else appears to be useful editorial suggestions.
>
>
>
> Thanks, --David
>
>
>
> *From:* Alia Atlas [mailto:[email-masked]]
> *Sent:* Friday, July 29, 2016 6:14 PM
> *To:* [email-masked]; [email-masked]
> *Subject:* AD review of draft-ietf-nvo3-arch-06
>
>
>
> First, I would like to thank the authors, David, Jon, Larry, Marc, and
> Thomas, for their work on this draft and pushing it to completion.
>
>
>
> As is customary, I have done my AD review of draft-ietf-nvo3-arch-06
> before progressing it.  I do apologize for the delay in my review; I had a
> lot of documents show up quite quickly this winter and spring.
>
>
>
> My primary concern is around the operational and management
> considerations.  My detailed review is below.   I will optimistically send
> this document to IETF Last Call - but the authors do need to update this
> section and respond to my other concerns.  If they are timely, then this
> can make it onto the IESG telechat on August 18.
>
>
>
> Major:
>
>
>
>    i) I note that draft-ashwood-nvo3-operational-requirement-03 expired
> about 3 years ago.  Section 12 basically says that OAM is important and
> punts to this draft.  I believe that you will need more details.
>
>
>
> Minor:
>
>
>
>    1) Please add C-VID to the terminology.  It is used without context in
> 3.1.1.
>
>
>
>     2)In Sec 4.1:  "While there may be APIs between the NVE and hypervisor
> to support necessary interaction, the details of such an API are not
> in-scope for the IETF to work on."
>
> Could this be softened to "not specifically in-scope for the NVO3 WG to
> work on"?  If there were agreement that the NVE and hypervisors need
> interoperability, I could see APIs being in scope.
>
>
>
>   3) It looks like work on draft-ietf-nvo3-dataplane-requirements-03 has
> been abandoned (which is fine).  Please remove the reference.
>
>
>
>
>
> Nits:
>
>
> a) In Sec 3.4, it says "in use today".  Replace with "in use in 2016" or
> the like - since the RFC will live for a long time and not be updated with
> "today" systems.
>
>
>
> Regards & Thanks,
>
> Alia
>
> _______________________________________________
> nvo3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nvo3
>
>